Summary: The GNOME Display Manager.
Name: gdm
Version: 2.2.0
Release: 2mdk
Copyright: LGPL/GPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gdm/%{name}-%{version}.tar.bz2
Source2: Default.session.bz2
Source5: Failsafe.session.bz2
Source8: gdm-extra-i18n.tar.bz2
Source10: gdm-manual.txt.bz2
Source11: helix-gdm-screen.png.bz2
Source12: gdm.conf.bz2
Source13: gnomedesktop.png
Source14: gdm.pam.bz2

# /etc/X11/gdm/gnomerc is missing...
# Patch3: gdm-gnomerc.patch.bz2 no longer needed

Patch21: gdm-2.0beta2-daemonfixes.patch.bz2
Patch23: gdm-2.0beta2-xdmcp.patch.bz2

Patch27: gdm-2.0beta2-dumberrmsg.patch.bz2
# 29 is RH-specific
Patch29: gdm-2.0beta2-noiconify.patch.bz2

Patch33: gdm-2.0beta2-pipewrite.patch.bz2
# add i18n for welcome text. Not used since all language are not available
#Patch34: gdm-2.0beta2-i18n.patch.bz2
Patch36: gdm-2.0beta2-chpass.patch.bz2
Patch39: gdm-2.0beta2-usershell.patch.bz2

Patch53: gdm-color.patch.bz2
Patch54: gdm-exclude.patch.bz2
Patch55: gdm-extra-i18n.patch.bz2
#don't display language menu until we find a correct workaround
Patch56: gdm-nolanguage.patch.bz2

# Helix patches
Patch60: gdm-2.0beta2-helix_logo.patch.bz2
Patch61: gdm-rhlang.patch.bz2
Patch62: gdm-ypconfigure.patch.bz2
#Patch63: gdm-sysconf_gnomerc.patch.bz2 
Patch64: gdm-no_questions_asked.patch.bz2
Patch65: gdm-xdmcp.patch.bz2
Patch66: gdm-tolower.patch.bz2
Patch67: gdm-nonbash-shell.patch.bz2

# (Fred C.) support file name a la KDE for faces
Patch68: gdm-2.2.0-faces.patch.bz2
# (Fred C.) prevent respawning too fast
Patch69: gdm-2.0.99-norespawn.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: pam >= 0.72-11mdk
Requires: gnome-libs >= 1.0.17 mandrake_desk >= 1.0.4-7
Requires: setup >= 2.1.9-33mdk
Requires: usermode
BuildRequires: pam-devel XFree86-devel XFree86-static-libs gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
BuildRequires: db1-devel libglade-devel

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%prep
%setup -q
##tar Ixvf %{SOURCE8}
#%patch3 -p1 -b .gnomerc

##%patch21 -p1 -b .sopdaemon
##%patch23 -p1 -b .xdmcp
##%patch27 -p1 -b .dumberrmsg
##%patch29 -p1 -b .noiconify
##%patch33 -p1 -b .pipewrite

#%patch34 -p1 -b .i18n
##%patch36 -p1 -b .chpass
##%patch39 -p1 -b .usershell

%patch53 -p1 -b .rcolor
##%patch54 -p1 -b .exclude
#%patch55 -p1 -b .i18n

%patch56 -p1 -b .nolanguage

##%patch60 -p1 -b .helix_logo
# not applyed since all settings of locale should be
# done here, but it's overridden by /etc/profile.d/lang.sh
#%patch61 -p1 -b .rhlang
##%patch62 -p1 -b .ypconfigure
#%patch63 -p1 -b .sysconf
##%patch64 -p1 -b .no_question_asked
#%patch65 -p1 -b .helix_xdmcp
#%patch66 -p1 -b .tolower
#%patch67 -p1 -b .nonbash

%patch68 -p1 -b .faces
%patch69 -p1 -b .norespawn

%build

# Geoff laziness
echo "Chinese(Traditional zh_TW.Big5" >> config/locale.alias

libtoolize --force
autoconf

%configure --sysconfdir=/etc/X11

%{make}

(cd config; make gdm.conf gnomerc Gnome)

%install
rm -rf $RPM_BUILD_ROOT

%{_sbindir}/useradd -r gdm > /dev/null 2>&1 || /bin/true

%makeinstall sysconfdir=$RPM_BUILD_ROOT/etc/X11

# docs go elsewhere
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc

# install RH specific session files
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/*

bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/Default
chmod 775 $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/Default
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/Failsafe
chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/Failsafe
ln -sf Default $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/default

# put gnomerc in the right place
install -m 644 config/gnomerc $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/gnomerc

# change default Init script to be Red Hat default
#ln -sf ../../xdm/Xsetup_0 $RPM_BUILD_ROOT/etc/X11/gdm/Init/Default
# move pam.d stuff to right place
mv $RPM_BUILD_ROOT/%{_sysconfdir}/X11/pam.d $RPM_BUILD_ROOT/%{_sysconfdir}

[ -f docs/gdm-manual.txt ] || bzcat %SOURCE10 > docs/gdm-manual.txt

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
#bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/gdm-screen.png
cp %{SOURCE13}  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gdm-screen.png

bzcat %{SOURCE14} > $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/gdm

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/gdm.conf

mv $RPM_BUILD_ROOT%{_bindir}/gdmconfig $RPM_BUILD_ROOT%{_bindir}/gdmconfig.real
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/gdmconfig

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gdmconfig
#%PAM-1.0
auth       sufficient   /lib/security/pam_rootok.so
auth       required /lib/security/pam_stack.so service=system-auth
account    required /lib/security/pam_permit.so
session    optional /lib/security/pam_xauth.so
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/gdmconfig
USER=root
PROGRAM=/usr/bin/gdmconfig.real
SESSION=true
FALLBACK=false
EOF

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/gdm
?package(%{name}): \
command="%{_bindir}/gdmconfig" \
icon="gdm.xpm" \
needs="X11" \
section="Configuration/Boot and Init" \
title="GDM Configurator" \
longtitle="A graphical application for configuring the GNOME Display Manager (GDM)"

EOF

%{find_lang} %{name} --with-gnome


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -f /%{_sysconfdir}/X11/xdm/Xsession -a ! -x /%{_sysconfdir}/X11/xdm/Xsession ]; then
	chmod +x /%{_sysconfdir}/X11/xdm/Xsession
fi
%{make_session}
%{update_menus}
/sbin/ldconfig

%postun
%{make_session}
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README docs/gdm-manual.txt docs/C/gdm.sgml
%{_bindir}/*
%dir %{_sysconfdir}/X11/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdmconfig
%config(noreplace) %{_sysconfdir}/security/console.apps/gdmconfig
%config(noreplace) %{_sysconfdir}/X11/gdm/gnomerc
%config(noreplace) %{_sysconfdir}/X11/gdm/gdm.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/locale.alias
%dir %{_sysconfdir}/X11/gdm/Sessions
%config(noreplace) %{_sysconfdir}/X11/gdm/PreSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostSession
%config(noreplace) %{_sysconfdir}/X11/gdm/Init
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/gdm
%{_menudir}/*
%attr(750, gdm, gdm) %dir %{_localstatedir}/gdm

%changelog
* Thu Apr  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2.0-2mdk
- use -deferplyphs 16 to launch X server (Andrew Lee)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Use consolehelper files provided by authors

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.99-1mdk
- Release 2.0.99
- root is no longer displayed in user browser
- No longer create gdm user (done in setup)

* Thu Nov 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0beta4-23mdk
- Chinese fix. (Andrew Lee @ CLE)

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-22mdk
- Really apply faces patch 

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-21mdk
- Correct pam dependancy

* Tue Sep 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-20mdk
- Add apache and zope as non-visible users in browser
- bziped pam file

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0beta4-19mdk
- pam uses pam_stack.

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-18mdk
- New login screen

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-17mdk
- Prevent respawn

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-16mdk
- Check faces with .png extension

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-15mdk
- /var/state -> /var/lib (FHS 2.1)

* Tue Aug 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-14mdk
- Clean spec
- merge from helix (3mdk_helix_2)
- update i18n from cvs
- decompress manual before installing it
- disable language menu
- change location of user icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0beta4-13mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-12mdk
- Correct location of icon used by gdm
- use more macros

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-11mdk
- Recompile with new rpm version
- Correct gdm.conf to reflect BM

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 2.0beta4-10mdk
- macrozification.

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-9mdk
- BM

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 2.0beta4-8mdk
- added fndsession call in post/postun

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 2.0beta4-7mdk
- spec. cleanup

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 2.0beta4-6mdk
- bziped source 2 5 11 12.

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 2.0beta4-5mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0beta4-4mdk
- Use tmppath macros.
- BuildRequires: pam-devel

* Wed May 17 2000 dam's <damien@mandrakesoft.com> 2.0beta4-3mdk
- corrected exclude list

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 2.0beta4-2mdk
- Changed again background color.

* Fri Apr 21 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta4-1mdk
- release 2.0beta4
- add some nice users and mandrake logo! looks great !
- remove unnecessary patches.

* Sat Apr 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta2-11mdk
- fixed gdmlogin bug .
- merge with helix stuffs .
- add /sbin/ldconfig in post to load shared libraries

* Tue Apr 04 2000 dam's <damin@mandrakesoft.com> 2.0beta2-10mdk
- fixed logo & background locations.

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.0beta2-9mdk
- spec-helper issues cleanup
- fixed group

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- remove the Language menu (doesn't work and made gnome fail to load the right font)

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Require mandrake_desk and put a new image at startup.

* Wed Dec 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add a post to make sure Xsession is executable.

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add docs (r)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt for Linux-Mandrake from Redhat spec (13):
	- SMP building
	- bzip2 man/info (don't think it has any (yet)) 

* Fri Sep 26 1999 Elliot Lee <sopwith@redhat.com>
- Fixed pipewrite bug (found by mkj & ewt).
